[ 
https://issues.apache.org/jira/browse/UNOMI-5?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16394106#comment-16394106
 ] 

Oliver Lietz commented on UNOMI-5:
----------------------------------

[~jbonofre], I guess that depends on the planned release date of Unomi. ETA for 
Karaf 4.2 GA is 03/18 (you know better...) and it should support Java 8 and 9 
(4.1 is 8 only).
4.2.0.M2 is the most suitable release for Apache Sling so far due to 
improvements in Pax Web and especially the switch from {{configfile}} to 
external {{config}} makes it less oscillating on installation.

> Upgrade to Karaf 4
> ------------------
>
>                 Key: UNOMI-5
>                 URL: https://issues.apache.org/jira/browse/UNOMI-5
>             Project: Apache Unomi
>          Issue Type: Improvement
>          Components: core
>            Reporter: Jean-Baptiste Onofré
>            Assignee: Jean-Baptiste Onofré
>            Priority: Major
>             Fix For: 1.3.0-incubating
>
>
> I will upgrade Unomi to use Karaf 4, especially:
> - usage of new feature namespace (1.3 min) allowing to leverage the features 
> resolver (and so resources repositories, requirements & capabilities, etc)
> - new commands
> - ...



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to